Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2015 18:36:56 +0300

> From: Rainer M Krug <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 07 Oct 2015 10:13:31 +0200
> 
> 1) I started emacs under gdb 7.10,
> 2) loaded all buffers as usual in emacs
> 3) sourced .gdbinit and your code to enable logging and the additional
> breakpoints
> 
> When starting to fold /unfold, a breakpoint is called and the session quit because of
> 
> ,----
> | Lisp Backtrace:
> | [New Thread 0x1c3f of process 1855]
> | Cannot access memory at address 0x2018400
> `----
> 
> So this does not seem to help.

Sorry, I was not clear enough: please do NOT source .gdbinit AT ALL.
Only source the file with the breakpoints and commands I asked to use.

The contents of the Emacs .gdbinit is responsible for the fact that
each time GDB executes the "backtrace" command, it also executes the
"xbacktrace" command, which is defined in .gdbinit and causes GDB to
call functions inside Emacs, which for some reason fail and stop the
entire process.

Thanks.